
public class Class515_Sub1_Sub4_Sub2 extends Class515_Sub1_Sub4 {

   Class568 aClass568_10653;
   Class224 aClass224_10654;


   boolean method13394(byte var1) {
      return null != this.aClass568_10653?!this.aClass568_10653.u():true;
   }

   boolean method13391(Class545 var1, int var2, int var3, int var4) {
      return false;
   }

   void method13432(Class545 var1) {}

   void method13422(Class545 var1) {}

   boolean method13451(byte var1) {
      return null != this.aClass568_10653?this.aClass568_10653.i():false;
   }

   boolean method13427() {
      return false;
   }

   void method13424(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6, int var7) {}

   Class579 method13398(Class545 var1, byte var2) {
      if(null == this.aClass568_10653) {
         this.aClass568_10653 = this.aClass224_10654.method3841(var1, -1163289527);
      }

      if(null != this.aClass568_10653) {
         Class328 var3 = var1.method11491();
         Class328 var4 = this.method10915();
         Class325 var5 = this.method10913();
         var3.method5991(var4);
         Class572 var6 = this.aClass241_8441.aClass572ArrayArrayArray2868[this.aByte8443][(int)var5.aClass326_4031.aFloat4036 >> 9][(int)var5.aClass326_4031.aFloat4033 >> 9];
         if(var6 != null && var6.aClass515_Sub1_Sub2_7582 != null) {
            var3.method6005(0.0F, (float)(-var6.aClass515_Sub1_Sub2_7582.aShort10389), 0.0F);
         }

         this.aClass568_10653.method12069(var3, (Class89)null, 0);
      }

      return null;
   }

   void method13402(Class545 var1, int var2) {}

   boolean method13452(Class545 var1, int var2, int var3) {
      return false;
   }

   public int method13404(byte var1) {
      return this.aClass568_10653 != null?this.aClass568_10653.YA():0;
   }

   boolean method13426() {
      return null != this.aClass568_10653?!this.aClass568_10653.u():true;
   }

   boolean method13409() {
      return null != this.aClass568_10653?!this.aClass568_10653.u():true;
   }

   boolean method13410() {
      return null != this.aClass568_10653?this.aClass568_10653.i():false;
   }

   public Class571 method13400(Class545 var1, int var2) {
      return null;
   }

   boolean method13393() {
      return null != this.aClass568_10653?this.aClass568_10653.i():false;
   }

   boolean method13431() {
      return null != this.aClass568_10653?this.aClass568_10653.i():false;
   }

   public int method13414() {
      return this.aClass568_10653 != null?this.aClass568_10653.YA():0;
   }

   public int method13415() {
      return this.aClass568_10653 != null?this.aClass568_10653.YA():0;
   }

   public Class571 method13416(Class545 var1) {
      return null;
   }

   void method13397(int var1) {}

   void method13412(Class545 var1) {}

   void method13421(Class545 var1) {}

   Class515_Sub1_Sub4_Sub2(Class241 var1, Class224 var2, int var3, int var4, int var5, int var6, int var7) {
      super(var1, var3, var4, var5, var6, var7, var5 >> 9, var5 >> 9, var7 >> 9, var7 >> 9, false, (byte)0);
      this.aClass224_10654 = var2;
   }

   boolean method13411() {
      return null != this.aClass568_10653?this.aClass568_10653.i():false;
   }

   Class579 method13419(Class545 var1) {
      if(null == this.aClass568_10653) {
         this.aClass568_10653 = this.aClass224_10654.method3841(var1, -516045130);
      }

      if(null != this.aClass568_10653) {
         Class328 var2 = var1.method11491();
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         var2.method5991(var3);
         Class572 var5 = this.aClass241_8441.aClass572ArrayArrayArray2868[this.aByte8443][(int)var4.aClass326_4031.aFloat4036 >> 9][(int)var4.aClass326_4031.aFloat4033 >> 9];
         if(var5 != null && var5.aClass515_Sub1_Sub2_7582 != null) {
            var2.method6005(0.0F, (float)(-var5.aClass515_Sub1_Sub2_7582.aShort10389), 0.0F);
         }

         this.aClass568_10653.method12069(var2, (Class89)null, 0);
      }

      return null;
   }

   boolean method13447() {
      return false;
   }

   boolean method13449() {
      return false;
   }

   boolean method13423(byte var1) {
      return false;
   }

   void method13407() {}

   void method13429() {}

   void method13430() {}

   void method13395(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {}

   void method13396(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {}
}
